avro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doug Cutting (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AVRO-876) Update Snappy-Java dependency to version to 1.0.3.1
Date Mon, 15 Aug 2011 19:05:27 GMT

     [ https://issues.apache.org/jira/browse/AVRO-876?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Doug Cutting updated AVRO-876:
------------------------------

    Fix Version/s: 1.6.0
         Assignee: Doug Cutting
           Status: Patch Available  (was: Open)

Tests pass for me.

I'll commit this soon unless someone objects.

> Update Snappy-Java dependency to version to 1.0.3.1
> ---------------------------------------------------
>
>                 Key: AVRO-876
>                 URL: https://issues.apache.org/jira/browse/AVRO-876
>             Project: Avro
>          Issue Type: Task
>          Components: build
>    Affects Versions: 1.5.2
>            Reporter: Alejandro Abdelnur
>            Assignee: Doug Cutting
>            Priority: Critical
>             Fix For: 1.6.0
>
>         Attachments: AVRO-876.patch
>
>
> Snappy-Java 1.0.3.1 adds the capability of disabling of loading the in-JAR native library
and isntead loading it from the java.library.path.
> The version of Snappy-Java currently used by Avro (1.0.3-rc4) does not allow this in-jAR
native library disabling.
> This capability enables the use of a native library built in the target platform (some
versions of Linux -stable ones- fail to work with the generic Linux SO file bundled in Snappy-Java).

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message